Skip to main content
GET
/
shield
/
rate-limits
/
{shieldZoneId}
Get Rate Limits for your Shield Zone
curl --request GET \
  --url https://api.bunny.net/shield/rate-limits/{shieldZoneId}
import requests

url = "https://api.bunny.net/shield/rate-limits/{shieldZoneId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bunny.net/shield/rate-limits/{shieldZoneId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "shieldZoneId": 123,
      "userId": "<string>",
      "ruleName": "<string>",
      "ruleDescription": "<string>",
      "ruleJson": "<string>",
      "ruleConfiguration": {
        "variableTypes": {
          "REQUEST_URI": "<string>",
          "REQUEST_URI_RAW": "<string>",
          "ARGS": "<string>",
          "ARGS_COMBINED_SIZE": "<string>",
          "ARGS_GET": "<string>",
          "ARGS_GET_NAMES": "<string>",
          "ARGS_POST": "<string>",
          "ARGS_POST_NAMES": "<string>",
          "FILES_NAMES": "<string>",
          "GEO": "<string>",
          "REMOTE_ADDR": "<string>",
          "QUERY_STRING": "<string>",
          "REQUEST_BASENAME": "<string>",
          "REQUEST_BODY": "<string>",
          "REQUEST_COOKIES_NAMES": "<string>",
          "REQUEST_COOKIES": "<string>",
          "REQUEST_FILENAME": "<string>",
          "REQUEST_HEADERS_NAMES": "<string>",
          "REQUEST_HEADERS": "<string>",
          "REQUEST_LINE": "<string>",
          "REQUEST_METHOD": "<string>",
          "REQUEST_PROTOCOL": "<string>",
          "RESPONSE_BODY": "<string>",
          "RESPONSE_HEADERS": "<string>",
          "RESPONSE_STATUS": "<string>",
          "FINGERPRINT": "<string>",
          "VERIFIED_BOT_CATEGORY": "<string>"
        },
        "transformationTypes": [],
        "value": "<string>",
        "chainedRuleConditions": [
          {
            "variableTypes": {
              "REQUEST_URI": "<string>",
              "REQUEST_URI_RAW": "<string>",
              "ARGS": "<string>",
              "ARGS_COMBINED_SIZE": "<string>",
              "ARGS_GET": "<string>",
              "ARGS_GET_NAMES": "<string>",
              "ARGS_POST": "<string>",
              "ARGS_POST_NAMES": "<string>",
              "FILES_NAMES": "<string>",
              "GEO": "<string>",
              "REMOTE_ADDR": "<string>",
              "QUERY_STRING": "<string>",
              "REQUEST_BASENAME": "<string>",
              "REQUEST_BODY": "<string>",
              "REQUEST_COOKIES_NAMES": "<string>",
              "REQUEST_COOKIES": "<string>",
              "REQUEST_FILENAME": "<string>",
              "REQUEST_HEADERS_NAMES": "<string>",
              "REQUEST_HEADERS": "<string>",
              "REQUEST_LINE": "<string>",
              "REQUEST_METHOD": "<string>",
              "REQUEST_PROTOCOL": "<string>",
              "RESPONSE_BODY": "<string>",
              "RESPONSE_HEADERS": "<string>",
              "RESPONSE_STATUS": "<string>",
              "FINGERPRINT": "<string>",
              "VERIFIED_BOT_CATEGORY": "<string>"
            },
            "value": "<string>"
          }
        ]
      },
      "errorResponse": {
        "success": true,
        "message": "<string>",
        "errorKey": "<string>"
      }
    }
  ],
  "page": {
    "totalCount": 123,
    "totalPages": 123,
    "currentPage": 123,
    "nextPage": 123,
    "pageSize": 123
  },
  "error": {
    "success": true,
    "message": "<string>",
    "errorKey": "<string>"
  }
}
{
"statusCode": 123
}

Path Parameters

shieldZoneId
integer<int64>
required

The ID of the Shield Zone associated with the Rate Limits

Query Parameters

page
integer<int32>
default:1

(Optional) The page number of results.

perPage
integer<int32>
default:10

(Optional) (Default: 10) The amount of results returned on one page.

Response

OK

data
object[] | null
page
object
error
object

Generic response object containing status information for API operations.

Last modified on June 26, 2026